Package com.sas.lsaf.core.type

## Enum AttributeDefinition.AttributeType

- java.lang.Object
- - java.lang.Enum<AttributeDefinition.AttributeType>
  - - com.sas.lsaf.core.type.AttributeDefinition.AttributeType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AttributeDefinition.AttributeType>`
  Enclosing class:
    AttributeDefinition

      public static enum AttributeDefinition.AttributeType
      extends java.lang.Enum<AttributeDefinition.AttributeType>

  The enumeration that defines the data type that is stored by the attribute.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BOOLEAN` | The data type for the attribute is a Boolean.
    `DATE` | The data type for the attribute is a date.
    `LONG` | The data type for the attribute is a long.
    `STRING` | The data type for the attribute is a character-based string.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AttributeDefinition.AttributeType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AttributeDefinition.AttributeType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LONG

          public static final AttributeDefinition.AttributeType LONG

      The data type for the attribute is a long. This numeric value can be any valid `long` value between -263 and 263-1.

    - #### STRING

          public static final AttributeDefinition.AttributeType STRING

      The data type for the attribute is a character-based string.

    - #### DATE

          public static final AttributeDefinition.AttributeType DATE

      The data type for the attribute is a date.

    - #### BOOLEAN

          public static final AttributeDefinition.AttributeType BOOLEAN

      The data type for the attribute is a Boolean.

  - ### Method Detail

    - #### values

          public static AttributeDefinition.AttributeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AttributeDefinition.AttributeType c : AttributeDefinition.AttributeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AttributeDefinition.AttributeType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null